Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Private Attributes | List of all members
SkeletonBackup Class Reference

Class that encapsulates a backup. More...

`#include <PluginCollection-TypePlugins/Plugin-TypeSkeleton/SkeletonBackup.hh>`

Inheritance diagram for SkeletonBackup:

## Public Member Functions
| SkeletonBackup (SkeletonObject *_skelObj, QString _name, UpdateType _type)
void | apply ()
| Revert this backup. More...
Public Member Functions inherited from BaseBackup
| BaseBackup (QString _name)
| BaseBackup (BaseObjectData *_object, QString _name, UpdateType _type)
| constructor More...
QString | name ()
| Get the backups name) More...
void | setLinks (IdList _objectIDs)
| Set links to corresponding backups. More...
int | id ()
| get id of this backup More...
bool | blocked ()
| Returns if this backup is blocked. More...

## Private Attributes
SkeletonObject * | skelObj_
Skeleton * | skelBackup_

## Additional Inherited Members
Protected Attributes inherited from BaseBackup
std::vector< std::pair < QString, PerObjectData * > > | objectDatas_
| Backup of the perObjectData objects.
BaseObjectData * | object_
QString | name_
IdList | links_
int | id_

## Detailed Description

Class that encapsulates a backup.

Definition at line 59 of file SkeletonBackup.hh.

## Member Function Documentation

void SkeletonBackup::apply | ( |  | ) |
| virtual

Revert this backup.

This function has to be implemented. It will be called when the backup should be restored.

Note
  You have to call the BaseBackup::apply() first in your implementation of this function.

You have to restore your backup to the corresponding object when this function gets called.

Reimplemented from BaseBackup.

Definition at line 71 of file SkeletonBackup.cc.

The documentation for this class was generated from the following files:

- PluginCollection-TypePlugins/Plugin-TypeSkeleton/SkeletonBackup.hh
- PluginCollection-TypePlugins/Plugin-TypeSkeleton/SkeletonBackup.cc